extends KinematicBody2D

var add = 10
var thread = Thread.new()
export(Texture) var texlight
var speed = Vector2(10,10)
var GDnativeClass = preload("res://bin/gdexample.gdns").new()
var data = {'pos':Vector2(0,0),'name':'123'}

func _bg_load(path):
	lightpos()
	call_deferred("_bg_load_done")

func _bg_load_done():
	var tex = thread.wait_to_finish()

func _process(delta):
	move_and_slide(speed)
	lightpos()
#	print(GDnativeClass.Area_of_interest(position,get_parent().children,600))
#	_on_load_pressed()

func _on_load_pressed():
	if (thread.is_active()):
		return
	thread.start(self, "_bg_load")

var tilesize = 256

func lightpos():
	var x = int(position.x/tilesize)+32
	var y = int(position.y/tilesize)+32
#	var data = GDnativeClass.Area_of_interest(position,get_parent().blockmap[x][y],300)
#	var data = []
#	for i in get_parent().get_children():
#		if global_position.distance_to(i.global_position) > 600:
#			data.append(i.global_position)
#	get_parent()._data(data)
	get_parent()._data_blockmap(get_parent().blockmap[x][y])
	return 

func _ready():
#	print('Thread Started')
	randomize()
	var r = rand_range(0,600)
	var r1 = rand_range(0,1000)
	global_position = Vector2(r1,r)
