extends Node2D

onready var children = get_children()
var blockmap = blockmapinitializer(64,64)

func blockmapinitializer(x,y):
	var arrayx = []
	arrayx.resize(x)
	for i in arrayx.size():
		var arrayy = []
		arrayy.resize(y)
		for h in arrayy.size():
			arrayy[h] = []
		arrayx[i] = arrayy
	return arrayx

var tilesize = 256

func _process(delta):
	blockmap = blockmapinitializer(64,64)
	for node in get_children():
		var x = int(node.position.x/tilesize)+32
		var y = int(node.position.y/tilesize)+32
#		print(str(x) + '/' + str(y))
		var data = {'pos':node.position, 'name':node.name}
		blockmap[x][y].append(data)
		blockmap[x+1][y].append(data)
		blockmap[x-1][y].append(data)
		blockmap[x][y+1].append(data)
		blockmap[x][y-1].append(data)
#	print(blockmap)

func _ready():
	Engine.set_target_fps(20)
	for i in 1000:
		add_child(load('res://Threader.tscn').instance())
	children = get_children()
#func _physics_process(delta):
#	var array = get_children()
#	for i in array:
#		randomize()
#		var r = rand_range(0,10)
#		var r1 = rand_range(0,10)
#		i.speed = Vector2(r1,r)

func _data(data):
#	print(data)
#	print('')
	pass

func _data_blockmap(blockmapcel):
#	print(blockmapcel)
	pass
